/* frame.h */

#define MAXNFR  64 
#ifdef MSDOS
#define INFO
#endif /* MSDOS */
#ifdef WIN32
#define INFO
#endif /* WIN32 */

typedef struct {
    char    *sd_fn;
    int     fa_typ, ix_min, iy_min, ix_max, iy_max, iw_min, iw_max;
    int     wn_nft, wn_wid;
    float   ta_min, ta_max, fa_min, fa_max, fa_nat, fa_pma, fa_pmb, fa_pmc;
    float   sm_max, wv_sps;
}       FRAME;

extern int nfr;
extern FRAME fr_[MAXNFR];

#ifdef INFO
double  spec_value();
int     wave_value(); 
void    reset_value(); 
#endif /* INFO */
void    endframe();
void    iniframe();
void    newframe();
