/* lpr.c */

#include <stdio.h>
#include <fcntl.h>

#ifdef WIN32
#include <io.h>
#else
#include <unistd.h>
#define _write  write
#define _fileno fileno
#endif /* WIN32 */
#ifndef _O_BINARY
#define _O_BINARY 0
#endif

unsigned int strlen();
extern FILE *prn;

void
lpr(s, n)
char   *s;
unsigned int n;
{
    _write(_fileno(prn), s, n);
}

void
lprs(s)
char   *s;
{
    lpr(s, strlen(s));
}

void
lprfl()
{
    (void) fflush(prn);
}

void
lprrw()
{
    (void) fseek(prn, 0L, 0);
}

void
set_binary(int fh)
{
#ifdef MSC
    union _REGS r;

    r.h.ah = 0x44;		/* DOS function 44 */
    r.h.al = 0x00;		/* sub function 0 = get info */
    r.x.bx = fh;		/* file handle */
    (void) _intdos(&r, &r);
    if (r.h.dl & 0x80) {	/* is this a character device ? */
	r.h.dh = 0;		/* make sure this is zero */
	r.h.dl |= 0x20;		/* set raw mode */
	r.h.ah = 0x44;		/* DOS function 44 */
	r.h.al = 0x01;		/* sub function 0 = set info */
	r.x.bx = fh;		/* file handle */
	(void) _intdos(&r, &r);
    }
    (void) _setmode(fh, (int) _O_BINARY);    /* do binary output */
#endif
}
