/* specto.h */

extern struct _flags {
    char    debug, verbose;
}       flags_;
extern struct _bpar {
    char    _bpar, 
    aronum, aswv, bits, date, eaxis, elabel, fannot, faxis, 
    flabel, ftpi, ftpw, grid, hfemph, invwav, 
    mfft, mhal, mval, mxtnt, newpage, nflim, nlpc, over,
    periodic, prenrg, prspec, prwave, rmdc, sign, swap, 
    tannot, taxis, tlabel, toba,
    waxis, window, wlabel, wrfile;
}       bpar_;
extern struct _fpar {
    float   _fpar, 
    agcsp, annlwt, annsiz, arosiz,  arotip,  arowid, axlnwd, 
    bandwidth, contrast, darkness, eeps, elen, ellc, emax, 
    emin, enrm, fgrid, fint, floor, fmax, fmin, foct, 
    fpma, fpmb, fpmc, head, lablwt, labsiz, msgang, msglwt, 
    msgsiz, pltlwt, rate, tail, ticsiz, tmax, tmin, token, 
    tpage, windwidth, wlen, wllc, xlen, xllc, xpage, ylen, 
    yllc,  ypage;
}       fpar_;
extern struct _ucon {
    int     adupi_x, adupi_y;
    int     lftmrgn, ysp1, ysp2, ywv1, ywv2, yen0, yen1, yen2;
    int     ifsp, nfsp, nfrq, nfft, winwid;
    int     fftskp, strtpos;
    int     pagewidth, tom, ffmt, faty;
    long    pagelength, framelength;
    float   fmn, fmx, fgr, tmn, tmx, tfrm, tstp, inps, lobwid;
    float   famn, famx, fpma, fpmb, fpmc, fnat;
    float   dtprn, dtfil;
}       ucon_;
extern struct _wave {
    char    wbits, wsign;
    int     nblks;
    long    nsamp;
    float   sampsc, wmn, wmx, wrn, wdc, wbl, lstwv, nrg;
    char    sdfn[80];
}       wave_;
extern struct _tick {
    char    t_type;
    int     t_xs1, t_ys1, t_xs2, t_ys2, t_xs3, t_ys3, t_annskp;
    long    t_et;
    double  t_time, t_ti;
}       tick_;
extern struct _grid {
    long    g_et;
    double  g_time, g_incr;
}       grid_;
extern char *bparnam[];
extern int nbpar;
extern char   *fparnam[];
extern int nfpar;

#define limit(mn,x,mx) 	((mn>x)?mn:((mx<x)?mx:x))

#define FT_SPC      0
#define FT_SDF      1
#define FT_TSD      2
#define FT_ILS      3
#define FT_SND      4
#define FT_LST      5
#define FT_MAT      6
#define FT_NOH	    7
#define FT_WAV	    8
#define FT_TOK	    9
#define FT_ADF	    10
#define NFT	    11		/* number of file types */
