[Setup]
AppName=Specto
AppVerName=BTNRH Specto 2.52
AppPublisher=Boys Town Nationial Research Hospital
AppPublisherURL=http://www.boystownhospital.org
AppSupportURL=http://audres.org/rc/specto/
AppUpdatesURL=http://audres.org/rc/specto/
DefaultDirName={pf}\BTNRH\SPECTO
DefaultGroupName=BTNRH

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; MinVersion: 4,4

[Files]
Source: "VS9\Release\wspecto.exe"; DestDir: "{app}"; CopyMode: alwaysoverwrite

[Icons]
Name: "{group}\Specto"; Filename: "{app}\wspecto.exe"
Name: "{userdesktop}\Specto"; Filename: "{app}\wspecto.exe"; MinVersion: 4,4; Tasks: desktopicon

[Registry]
Root: HKCR; Subkey: ".spc"; ValueType: string; ValueName: ""; ValueData: "BTNRHSpcFile"; Flags: uninsdeletevalue
Root: HKCR; Subkey: "BTNRHSpcFile"; ValueType: string; ValueName: ""; ValueData: "BTNRH Spc File"; Flags: uninsdeletekey
Root: HKCR; Subkey: "BTNRHSpcFile\DefaultIcon"; ValueType: string; ValueName: ""; ValueData: "{app}\WSPECTO.EXE,0"
Root: HKCR; Subkey: "BTNRHSpcFile\shell\open\command"; ValueType: string; ValueName: ""; ValueData: """{app}\WSPECTO.EXE"" ""%1"""


[Run]
Filename: "{app}\wspecto.exe"; Description: "Launch Specto"; Flags: nowait postinstall skipifsilent
