/* version.h */

#define	VER "SPECTO version 2.52                          January 2018"
#define CPR "Copyright 1989-2018"
#define BTH "Boys Town National Research Hospital"
#define DST "Non-profit redistribution permitted."
/***************************************************************************
>>>> 2.52 17-Jan-18 <<<<
* Cleaned up for MGW
>>>> 2.51 11-Nov-06 <<<<
* Added (preliminary) play_wave function on right-click
>>>> 2.50 17-Apr-06 <<<<
* Extended template to command line
>>>> 2.49 18-Apr-05 <<<<
* Added EMF export
>>>> 2.47 2-Apr-05 <<<<
* Improved Windows display and printing
>>>> 2.46 28-Apr-04 <<<<
* Made compatible with DJC.
>>>> 2.45 31-Mar-03 <<<<
* Fixed bug in lj (LaserJet) printing.
* Corrected "bottom" spec. in nsmprom.c.
* Changed "aroend" to "aronum"
* Added Edit function to Windows version
* Fixed bug in "plot" initialization
>>>> 2.44 14-Mar-03 <<<<
* Added keyword: plot
* Added 5 parameters: aroend,arosiz,arotip,arowid,pltlwt
>>>> 2.43 18-Feb-03 <<<<
* Fixed divide by zero errors when file not found
* Cleaned up end of page for Windows version
* Added process_nul funtion for missing data files
>>>> 2.42 18-Dec-02 <<<<
* Added info_line to Windows version
>>>> 2.41 26-Jun-02 <<<<
* Modified for Windows
>>>> 2.40 8-Sep-00 <<<<
* Fixed token info
>>>> 2.39 19-Apr-00 <<<<
* Fixed bug in makespot() that omitted annotations for -Pljq
>>>> 2.38 10-Mar-00 <<<<
* Runs as a Win32 app
>>>> 2.37 15-Nov-99 <<<<
* Fixed time-scale bug so that samples are now skipped when necessary
>>>> 2.36 18-Oct-99 <<<<
* Replace # with "theta" for use as IPA "th" symbol
>>>> 2.35 15-Jul-99 <<<<
* Trim filenames and make main() int for Linux
>>>> 2.34 5-Nov-98 <<<<
* Allow MAT stimulus for TSD files
>>>> 2.33 21-May-97 <<<<
* read rate from LST data files
>>>> 2.32 21-May-97 <<<<
* make 300 dpi default for PostScript
>>>> 2.31 4-Nov-96 <<<<
* Fix MAT file detection
* Make SND format independent of NeXT header
>>>> 2.30 13-Sep-96 <<<<
* Replace $ with "integral sign" for use as IPA "sh" symbol
>>>> 2.29 15-Jun-96 <<<<
* Read sample rate from MAT files
>>>> 2.28 20-Jun-96 <<<<
* Added "windwidth" parameter
* Increased max FFT buffer to 8192
>>>> 2.28 20-Jun-96 <<<<
* Cleaned up source code for lint
>>>> 2.26 14-Mar-96 <<<<
* Modified color palette
>>>> 2.25 10-Jan-96 <<<<
* Add support for 16-bit .WAV files
>>>> 2.24 26-Jan-95 <<<<
* fixed third-octave band calculation
>>>> 2.23 31-Aug-94 <<<<
* added option for ANSI third-octave bands and made it the default
>>>> 2.22 18-Aug-94 <<<<
* close files more often in sdf.c
>>>> 2.21 17-Aug-94 <<<<
* allocate some arrays dynamically to allow larger FFT size
>>>> 2.20 26-Jul-94 <<<<
* added command line option -nh to specify "no header"
>>>> 2.19 17-Mar-94 <<<<
* added parameter "fint" to specify freq. annotation interval
>>>> 2.18 27-Jan-94 <<<<
* changed date=1 to print only date, date=2 prints file name and date
>>>> 2.16 30-Sep-92 <<<<
* Added token file support
* Fixed minor bug in last time tick
>>>> 2.14, 11-Sep-92 <<<<
* Added support for token files, added new paramter "token".
* Made parameter "rate" override rate given in sdf header.
>>>> 2.13, 10-Sep-92 <<<<
* Fixed bug in memory allocation on NeXT

***************************************************************************/

