/* cparam.h */

struct _param {
    long magic;
    short hdrsiz, vernum, revnum, ireor, ifrmt, jfrmt;

    char stimfn[40], moddate[40];
    float dt,ntsgat,stgain;
    float fpma, fpmb, fpmc;
    long itsc,ntsc,icyc,ncyc,itsw,ntsw,itsf,ntsf;
    short m, n, ipl, irl;

    short isv[8];
    short  mmeq,couplr,midear,basacc,lngstf,lnlin,l4ord,nimp,nmev;

    float xl,yw,zh,rho,
	xhe,khe,rhe,mhe,
	kst,rst,mst,ast,kma,rma,mma,ama,gmel,kim,
	ked,red,med,aed,kcp,rcp,mcp,acp,
	kdi,rdi,mdi,adi,bl,rfz,rvc,
	rco,mco,rim,rve,rf,
	d1min,d1max,d3min,d3max,dhbmin,dhbmax,
	k1per,k2per,k3per,k4per,
	vhcmin,vhcmax,tauhc;

    float dihc,vihc,freq,gam,gamuns,ppo;

    float aca,acb,acc,acd,ace,
	rfa,rfb,rfc,rfd,rfe,
	bwa,bwb,bwc,bwd,bwe,
	k1a,k1b,k1c,k1d,k1e,
	r1a,r1b,r1c,r1d,r1e,
	m1a,m1b,m1c,m1d,m1e,
	k2a,k2b,k2c,k2d,k2e,
	r2a,r2b,r2c,r2d,r2e,
	m2a,m2b,m2c,m2d,m2e,
	k3a,k3b,k3c,k3d,k3e,
	r3a,r3b,r3c,r3d,r3e,
	m3a,m3b,m3c,m3d,m3e,
	k4a,k4b,k4c,k4d,k4e,
	r4a,r4b,r4c,r4d,r4e,
	k5a,k5b,k5c,k5d,k5e,
	gpa,gpb,gpc,gpd,gpe,
	gba,gbb,gbc,gbd,gbe,
	g1a,g1b,g1c,g1d,g1e,
	g2a,g2b,g2c,g2d,g2e,
	t1a,t1b,t1c,t1d,t1e,
	t2a,t2b,t2c,t2d,t2e;

    float f1, f2, l1, l2;
    float xl1, xl2;

};

extern struct _param pa_;

#ifdef MAIN
struct _param pa_;
#endif /* MAIN */
