/* prsetup.h */

/* To add a new output device:
 *
 * 	(1) increment NDEV
 * 	(2) declare pr_setup function
 * 	(3) add pr_setup function to pr_setup array
 * 	(4) add element to pr_info array in prinfo.h
 */

#define	NDEV	5

void    co_setup();
void    emf_setup();
void    lj_setup();
void    ip_setup();
void    ps_setup();

static void (*pr_setup[NDEV])() = {
    co_setup,
    emf_setup,
    lj_setup,
    ip_setup,
    ps_setup
};
