# specto.spec - spec file to create the Specto RPM
#
Name: Specto 
Summary: generates spectographic displays of acoustic waveforms
Version: 2.52
Release: 1
Copyright: Boys Town National Research Hospital (1989-2002)
Group: Applications/Sound
Packager: Rob Stevenson <stevensonr@boystown.org>
BuildRoot: /tmp/%{name}-buildroot
Source0: spectosc.tgz

%description
generates spectrographs 

%prep
rm -rf $RPM_BUILD_DIR/specto
%setup -n specto
chmod -x -f *.c *.h *.bat *.ico *.rc *.txt *.psw makefile.*

%build
make -f makefile.lnx

%install
make -f makefile.lnx install
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
install -c -m 755 specto $RPM_BUILD_ROOT/usr/local/bin

%files
/usr/local/bin/specto
